Package org.wso2.carbon.logging.admin.stub

## Interface LoggingAdmin

- All Known Implementing Classes:
    `LoggingAdminStub`

      public interface LoggingAdmin

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addLogger​(String loggerName24, String loggerClass25, String logLevel26)` | Auto generated method signature for Asynchronous Invocations
    `LoggerData[]` | `getAllLoggerData​(boolean beginsWith16, String logNameFilter17)` | Auto generated method signature
    `LoggerData` | `getLoggerData​(String loggerName12)` | Auto generated method signature
    `String` | `getLoggers()` | Auto generated method signature
    `boolean` | `isLoggerExist​(String loggerName8)` | Auto generated method signature
    `void` | `startgetAllLoggerData​(boolean beginsWith16, String logNameFilter17, LoggingAdminCallbackHandler callback)` | Auto generated method signature for Asynchronous Invocations
    `void` | `startgetLoggerData​(String loggerName12, LoggingAdminCallbackHandler callback)` | Auto generated method signature for Asynchronous Invocations
    `void` | `startgetLoggers​(LoggingAdminCallbackHandler callback)` | Auto generated method signature for Asynchronous Invocations
    `void` | `startisLoggerExist​(String loggerName8, LoggingAdminCallbackHandler callback)` | Auto generated method signature for Asynchronous Invocations
    `void` | `updateLoggerData​(String loggerName21, String logLevel22)` | Auto generated method signature for Asynchronous Invocations

- - ### Method Detail

    - #### isLoggerExist

          boolean isLoggerExist​(String loggerName8)
                         throws RemoteException,
                                LoggingAdminIOException

      Auto generated method signature
      Parameters:
        `isLoggerExist7` -
      Throws:
        `LoggingAdminIOException` - :
        `RemoteException`

    - #### startisLoggerExist

          void startisLoggerExist​(String loggerName8,
                                  LoggingAdminCallbackHandler callback)
                           throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `isLoggerExist7` -
      Throws:
        `RemoteException`

    - #### getLoggerData

          LoggerData getLoggerData​(String loggerName12)
                            throws RemoteException,
                                   LoggingAdminIOException

      Auto generated method signature
      Parameters:
        `getLoggerData11` -
      Throws:
        `LoggingAdminIOException` - :
        `RemoteException`

    - #### startgetLoggerData

          void startgetLoggerData​(String loggerName12,
                                  LoggingAdminCallbackHandler callback)
                           throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getLoggerData11` -
      Throws:
        `RemoteException`

    - #### getAllLoggerData

          LoggerData[] getAllLoggerData​(boolean beginsWith16,
                                        String logNameFilter17)
                                 throws RemoteException,
                                        LoggingAdminIOException

      Auto generated method signature
      Parameters:
        `getAllLoggerData15` -
      Throws:
        `LoggingAdminIOException` - :
        `RemoteException`

    - #### startgetAllLoggerData

          void startgetAllLoggerData​(boolean beginsWith16,
                                     String logNameFilter17,
                                     LoggingAdminCallbackHandler callback)
                              throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getAllLoggerData15` -
      Throws:
        `RemoteException`

    - #### updateLoggerData

          void updateLoggerData​(String loggerName21,
                                String logLevel22)
                         throws RemoteException,
                                LoggingAdminIOException,
                                LoggingAdminConfigurationException

      Auto generated method signature for Asynchronous Invocations
      Throws:
        `LoggingAdminIOException` - :
        `LoggingAdminConfigurationException` - :
        `RemoteException`

    - #### addLogger

          void addLogger​(String loggerName24,
                         String loggerClass25,
                         String logLevel26)
                  throws RemoteException,
                         LoggingAdminIOException,
                         LoggingAdminConfigurationException

      Auto generated method signature for Asynchronous Invocations
      Throws:
        `LoggingAdminIOException` - :
        `LoggingAdminConfigurationException` - :
        `RemoteException`

    - #### getLoggers

          String getLoggers()
                     throws RemoteException,
                            LoggingAdminIOException

      Auto generated method signature
      Parameters:
        `getLoggers27` -
      Throws:
        `LoggingAdminIOException` - :
        `RemoteException`

    - #### startgetLoggers

          void startgetLoggers​(LoggingAdminCallbackHandler callback)
                        throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getLoggers27` -
      Throws:
        `RemoteException`